package com.lframework.xingyun.sc.vo.lend.tbllendoutreturndetail;

import lombok.Data;
import java.math.BigDecimal;
import com.lframework.starter.web.vo.BaseVo;
import com.lframework.starter.web.vo.PageVo;
import io.swagger.annotations.ApiModelProperty;
import com.lframework.starter.web.components.validation.TypeMismatch;
import java.io.Serializable;

@Data
public class QueryTblLendOutReturnDetailVo extends PageVo implements BaseVo, Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 退货单ID
     */
    @ApiModelProperty("退货单ID")
    private String returnId;

    /**
     * 商品ID
     */
    @ApiModelProperty("商品ID")
    private String productId;

    /**
     * 退货数量
     */
    @ApiModelProperty("退货数量")
    @TypeMismatch(message = "退货数量格式有误！")
    private Integer returnNum;

    /**
     * 原价
     */
    @ApiModelProperty("原价")
    @TypeMismatch(message = "原价格式有误！")
    private BigDecimal oriPrice;

    /**
     * 现价
     */
    @ApiModelProperty("现价")
    @TypeMismatch(message = "现价格式有误！")
    private BigDecimal taxPrice;

    /**
     * 折扣率（%）
     */
    @ApiModelProperty("折扣率（%）")
    @TypeMismatch(message = "折扣率（%）格式有误！")
    private BigDecimal discountRate;

    /**
     * 是否赠品
     */
    @ApiModelProperty("是否赠品")
    @TypeMismatch(message = "是否赠品格式有误！")
    private Integer isGift;

    /**
     * 税率（%）
     */
    @ApiModelProperty("税率（%）")
    @TypeMismatch(message = "税率（%）格式有误！")
    private BigDecimal taxRate;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String description;

    /**
     * 排序编号
     */
    @ApiModelProperty("排序编号")
    @TypeMismatch(message = "排序编号格式有误！")
    private Integer orderNo;

    /**
     * 结算状态
     */
    @ApiModelProperty("结算状态")
    @TypeMismatch(message = "结算状态格式有误！")
    private Integer settleStatus;

}
