package com.ruoyi.model.domain;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 地址信息对象 applet_address
 *
 * @author ruoyi
 * @date 2025-03-28
 */
@Data
public class AppletAddress extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 接单地址 */
    @Excel(name = "接单地址")
    private String area;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** 接单状态 */
    @Excel(name = "接单状态")
    private String status;

    /** 接单范围 */
    @Excel(name = "接单范围")
    private String rangeNo;

    /** 关联用户id */
    @Excel(name = "关联用户id")
    private Long userId;




    // 接单地址-不接单日期
    @TableField(exist = false)
    private List<AppletOutDate> appletOutDate;


    /** 创建时间 */
    private LocalDateTime createTime;



    /** 审核时间 */
    private LocalDateTime updateTime;


    /** 创建人 */
    @Excel(name = "创建人")
    private Long createBy;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updateBy;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;
    /** 删除标识 */
    private Integer delFlag;

//    public void setId(Long id)
//    {
//        this.id = id;
//    }
//
//    public Long getId()
//    {
//        return id;
//    }
//    public void setArea(String area)
//    {
//        this.area = area;
//    }
//
//    public String getArea()
//    {
//        return area;
//    }
//    public void setAddress(String address)
//    {
//        this.address = address;
//    }
//
//    public String getAddress()
//    {
//        return address;
//    }
//    public void setStatus(String status)
//    {
//        this.status = status;
//    }
//
//    public String getStatus()
//    {
//        return status;
//    }
//    public void setRangeNo(String rangeNo)
//    {
//        this.rangeNo = rangeNo;
//    }
//
//    public String getRangeNo()
//    {
//        return rangeNo;
//    }
//
//    public void setUserId(Long userId)
//    {
//        this.userId = userId;
//    }
//
//    public Long getUserId()
//    {
//        return userId;
//    }
//    public void setDelFlag(Integer delFlag)
//    {
//        this.delFlag = delFlag;
//    }
//
//    public Integer getDelFlag()
//    {
//        return delFlag;
//    }
//
//    @Override
//    public String toString() {
//        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
//            .append("id", getId())
//            .append("area", getArea())
//            .append("address", getAddress())
//            .append("status", getStatus())
//            .append("rangeNo", getRangeNo())
//            .append("userId", getUserId())
//            .append("delFlag", getDelFlag())
//            .append("createBy", getCreateBy())
//            .append("createTime", getCreateTime())
//            .append("updateBy", getUpdateBy())
//            .append("updateTime", getUpdateTime())
//            .toString();
//    }
}
