package com.ruoyi.model.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.cyl.manager.oms.domain.OmsOrderService;
import com.cyl.manager.oms.domain.OrderItem;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AppletOrderItemDate {
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 创建时间 */
    private String createTime;

    /** 创建者 */
    private Integer createBy;

    /** 修改时间 */
    private String updateTime;

    /** 修改者 */
    private Integer updateBy;

    /** 服务日期 */
    @Excel(name = "服务日期")
    private String serviceDate;

    /** 等待上门0已完成1 */
    @Excel(name = "等待上门0已完成1")
    private Integer status;

    /** 主订单标识 */
    @Excel(name = "主订单标识")
    private Long appletOrderId;

    /** 下单小程序订单标识 */
    @Excel(name = "下单小程序订单标识")
    private Long orderId;

    /** 下单小程序订单编码 */
    @Excel(name = "下单小程序订单编码")
    private String orderSn;

    /** 服务地址 */
    @Excel(name = "服务地址")
    private String cityAddress;

    /** 服务地址详情 */
    @Excel(name = "服务地址详情")
    private String address;

    /** 服务标识 */
    @Excel(name = "服务标识")
    private Long orderServiceId;

    /** 用户标识 */
    @Excel(name = "用户标识")
    private Long userId;

    @TableField(exist = false)
    private List<OrderItem> orderItemList;

    @TableField(exist = false)
    private OmsOrderService orderServiceList;

}