package com.ruoyi.model.domain;

import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;

/**
 * 宠物信息对象 applet_pet
 * 
 * @author ruoyi
 * @date 2025-03-30
 */
@Data
public class AppletPet {
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 宠物头像 */
    @Excel(name = "宠物头像")
    private String headImage;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** 性别 */
    @Excel(name = "性别")
    private Integer sex;

    /** 品种 */
    @Excel(name = "品种")
    private String type;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "出生年月", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date birthday;

    /** 体重（kg） */
    @Excel(name = "体重", readConverterExp = "k=g")
    private Integer weight;

    /** 性格 */
    @Excel(name = "性格")
    private String personality;

    /** 疫苗（是否已接种） */
    @Excel(name = "疫苗", readConverterExp = "是=否已接种")
    private Integer vaccine;

    /** 驱虫（是否已处理） */
    @Excel(name = "驱虫", readConverterExp = "是=否已处理")
    private Integer deworm;

    /** 绝育（是否已绝育） */
    @Excel(name = "绝育", readConverterExp = "是=否已绝育")
    private Integer neutered;

    /** 类别 */
    @Excel(name = "类别")
    private Integer petType;

    /** 健康状况 */
    @Excel(name = "健康状况")
    private String health;

    /** 证件 */
    @Excel(name = "证件")
    private Integer petCard;

    /** 其他健康说明 */
    @Excel(name = "其他健康说明")
    private String healthOther;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Integer delFlag;

    /** 订单标识 */
    @Excel(name = "订单标识")
    private Long orderId;

    /** 宠物简介 */
    @Excel(name = "宠物简介")
    private String brief;

    /** 年龄 */
    @Excel(name = "年龄")
    private Integer age;

    /** 用户标识 */
    @Excel(name = "用户标识")
    private Long userId;



    /** 创建人 */
    private String createBy;

    /** 修改人 */
    private String updateBy;



    /** 修改时间 */
    private Date updateTime;

    /** 创建时间 */
    private Date createTime;

}