package com.ruoyi.model.domain;

import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseAudit;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务记录表对象 applet_service_log
 *
 * @author daixiande
 */
@Data
public class AppletServiceLog extends BaseAudit {
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 用户标识 */
    @Excel(name = "用户标识")
    private Long userId;

    /** 服务类型 */
    @Excel(name = "服务类型")
    private String serviceType;

    /** 服务时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "服务时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime serviceTime;

    /** 服务地点 */
    @Excel(name = "服务地点")
    private String serviceSpot;

    /** 文字记录 */
    @Excel(name = "文字记录")
    private String text;

    /** 图片记录 */
    @Excel(name = "图片记录")
    private String image;

    /** 删除标识 */
    private Integer delFlag;

}