package com.ruoyi.model.domain;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseAudit;
import lombok.Data;
/**
 * 任务中心对象 applet_task
 *
 * @author daixiande
 */
@Data
public class AppletTask extends BaseAudit {
    private static final long serialVersionUID = 1L;

    /** 标识 */
    private Long id;

    /** 当前状态0待接受1以接受 */
    @Excel(name = "当前状态0待接受1以接受")
    private Integer status;

    /** 下单用户标识 */
    @Excel(name = "下单用户标识")
    private Long memberId;

    /** 任务类型名称 */
    @Excel(name = "任务类型名称")
    private String taskName;

    /** 任务小图 */
    @Excel(name = "任务小图")
    private String taskIcon;

    /** 任务报酬 */
    @Excel(name = "任务报酬")
    private BigDecimal taskMoney;

    /** 图片 */
    @Excel(name = "图片")
    private String image;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 主题 */
    @Excel(name = "主题")
    private String theme;

    /** 任务截至时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "任务截至时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime taskEndTime;

    /** 任务进度 */
    @Excel(name = "任务进度")
    private Integer taskState;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Integer examineState;

    /** 审核说明 */
    @Excel(name = "审核说明")
    private String examineText;

    /** 审核图片 */
    @Excel(name = "审核图片")
    private String examineImage;

    /** DEL_FLAG */
    private Long delFlag;

}
