package com.ruoyi.model.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.model.domain.AppletAnswerTrain;

/**
 * 用户培训考核答案Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface AppletAnswerTrainMapper extends BaseMapper<AppletAnswerTrain> {
    /**
     * 查询用户培训考核答案
     * 
     * @param id 用户培训考核答案主键
     * @return 用户培训考核答案
     */
    public AppletAnswerTrain selectAppletAnswerTrainById(Long id);

    /**
     * 查询用户培训考核答案列表
     * 
     * @param appletAnswerTrain 用户培训考核答案
     * @return 用户培训考核答案集合
     */
    public List<AppletAnswerTrain> selectAppletAnswerTrainList(AppletAnswerTrain appletAnswerTrain);

    /**
     * 新增用户培训考核答案
     * 
     * @param appletAnswerTrain 用户培训考核答案
     * @return 结果
     */
    public int insertAppletAnswerTrain(AppletAnswerTrain appletAnswerTrain);

    /**
     * 修改用户培训考核答案
     * 
     * @param appletAnswerTrain 用户培训考核答案
     * @return 结果
     */
    public int updateAppletAnswerTrain(AppletAnswerTrain appletAnswerTrain);

    /**
     * 删除用户培训考核答案
     * 
     * @param id 用户培训考核答案主键
     * @return 结果
     */
    public int deleteAppletAnswerTrainById(Long id);

    /**
     * 批量删除用户培训考核答案
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppletAnswerTrainByIds(Long[] ids);
}
