package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppletIncrease;

/**
 * 增值服务Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface AppletIncreaseMapper 
{
    /**
     * 查询增值服务
     * 
     * @param id 增值服务主键
     * @return 增值服务
     */
    public AppletIncrease selectAppletIncreaseById(Long id);

    /**
     * 查询增值服务列表
     * 
     * @param appletIncrease 增值服务
     * @return 增值服务集合
     */
    public List<AppletIncrease> selectAppletIncreaseList(AppletIncrease appletIncrease);

    /**
     * 新增增值服务
     * 
     * @param appletIncrease 增值服务
     * @return 结果
     */
    public int insertAppletIncrease(AppletIncrease appletIncrease);

    /**
     * 修改增值服务
     * 
     * @param appletIncrease 增值服务
     * @return 结果
     */
    public int updateAppletIncrease(AppletIncrease appletIncrease);

    /**
     * 删除增值服务
     * 
     * @param id 增值服务主键
     * @return 结果
     */
    public int deleteAppletIncreaseById(Long id);

    /**
     * 批量删除增值服务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppletIncreaseByIds(Long[] ids);
}
