package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppletQuestion;

/**
 * 考核题库Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface AppletQuestionMapper 
{
    /**
     * 查询考核题库
     * 
     * @param id 考核题库主键
     * @return 考核题库
     */
    public AppletQuestion selectAppletQuestionById(Long id);

    /**
     * 查询考核题库列表
     * 
     * @param appletQuestion 考核题库
     * @return 考核题库集合
     */
    public List<AppletQuestion> selectAppletQuestionList(AppletQuestion appletQuestion);

    /**
     * 新增考核题库
     * 
     * @param appletQuestion 考核题库
     * @return 结果
     */
    public int insertAppletQuestion(AppletQuestion appletQuestion);

    /**
     * 修改考核题库
     * 
     * @param appletQuestion 考核题库
     * @return 结果
     */
    public int updateAppletQuestion(AppletQuestion appletQuestion);

    /**
     * 删除考核题库
     * 
     * @param id 考核题库主键
     * @return 结果
     */
    public int deleteAppletQuestionById(Long id);

    /**
     * 批量删除考核题库
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppletQuestionByIds(Long[] ids);
}
