package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletAddress;

/**
 * 地址信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface IAppletAddressService 
{
    /**
     * 查询地址信息
     * 
     * @param id 地址信息主键
     * @return 地址信息
     */
    public AppletAddress selectAppletAddressById(Long id);

    /**
     * 查询地址信息列表
     * 
     * @param appletAddress 地址信息
     * @return 地址信息集合
     */
    public List<AppletAddress> selectAppletAddressList(AppletAddress appletAddress);

    /**
     * 新增地址信息
     * 
     * @param appletAddress 地址信息
     * @return 结果
     */
    public int insertAppletAddress(AppletAddress appletAddress);

    /**
     * 修改地址信息
     * 
     * @param appletAddress 地址信息
     * @return 结果
     */
    public int updateAppletAddress(AppletAddress appletAddress);

    /**
     * 批量删除地址信息
     * 
     * @param ids 需要删除的地址信息主键集合
     * @return 结果
     */
    public int deleteAppletAddressByIds(Long[] ids);

    /**
     * 删除地址信息信息
     * 
     * @param id 地址信息主键
     * @return 结果
     */
    public int deleteAppletAddressById(Long id);
}
