package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletOrder;

/**
 * 订单信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface IAppletOrderService 
{
    /**
     * 查询订单信息
     * 
     * @param id 订单信息主键
     * @return 订单信息
     */
    public AppletOrder selectAppletOrderById(Long id);
    public AppletOrder selectAppletOrderByOrderId(Long orderId);

    /**
     * 查询订单信息列表
     * 
     * @param appletOrder 订单信息
     * @return 订单信息集合
     */
    public List<AppletOrder> selectAppletOrderList(AppletOrder appletOrder);
    public List<AppletOrder> selectAppletOrderListLikeUserIdJson(AppletOrder appletOrder);

    /**
     * 新增订单信息
     * 
     * @param appletOrder 订单信息
     * @return 结果
     */
    public int insertAppletOrder(AppletOrder appletOrder);

    /**
     * 修改订单信息
     * 
     * @param appletOrder 订单信息
     * @return 结果
     */
    public int updateAppletOrder(AppletOrder appletOrder);

    /**
     * 批量删除订单信息
     * 
     * @param ids 需要删除的订单信息主键集合
     * @return 结果
     */
    public int deleteAppletOrderByIds(Long[] ids);

    /**
     * 删除订单信息信息
     * 
     * @param id 订单信息主键
     * @return 结果
     */
    public int deleteAppletOrderById(Long id);
}
