package com.cyl.h5.pojo.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 员工服务记录VO
 *
 * @author jx
 * @date 2024-01-06
 */
@Data
public class StaffServiceRecordVO {
    private static final long serialVersionUID = 1L;

    /**
     * 员工服务记录 ID
     */
    private Long id;

    @ApiModelProperty("员工 ID")
    private Long staffId;

    @ApiModelProperty("服务类型 0 猫咪喂养 1狗狗喂养 2 异宠喂养")
    private Integer type;

    @ApiModelProperty("服务时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date serviceTime;

    @ApiModelProperty("服务描述")
    private String remark;

    @ApiModelProperty("服务图片")
    private String urls;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTme;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间")
    private Date updateTme;

}
