package com.cyl.manager.marketing.domain;

import java.time.LocalDateTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseAudit;
import lombok.Data;
/**
 * 会员券发放记录对象 wechat_member_coupon
 * 
 * @author daixiande
 */
@Data
public class WechatMemberCoupon extends BaseAudit {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Integer id;

    /** 券id */
    @Excel(name = "券id")
    private String stockId;

    /** 券名称 */
    @Excel(name = "券名称")
    private String stockName;

    /** 券类型 */
    @Excel(name = "券类型")
    private String stockType;

    /** 券码 */
    @Excel(name = "券码")
    private String couponCode;

    /** 可用开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "可用开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime availableStartTime;

    /** 过期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "过期时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime expireTime;

    /** 发放时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发放时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime receiveTime;

    /** 发放请求号 */
    @Excel(name = "发放请求号")
    private String sendRequestNo;

    /** 核销请求号 */
    @Excel(name = "核销请求号")
    private String useRequestNo;

    /** 使用时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "使用时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime useTime;

    /** 商家券状态
    枚举值：
    SENDED：可用
    USED：已核销
    EXPIRED：已过期
    DEACTIVATED：已失效 */
    @Excel(name = "商家券状态 枚举值：SENDED：可用 USED：已核销 EXPIRED：已过期 DEACTIVATED：已失效")
    private String couponState;

    /** 小程序openid */
    @Excel(name = "小程序openid")
    private String openid;

    /** memberId */
    @Excel(name = "memberId")
    private Long memberId;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 折扣类型 */
    @Excel(name = "折扣类型")
    private String discountType;

}
