
package com.cyl.manager.oms.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.cyl.manager.ums.domain.Pet;
import com.cyl.manager.ums.pojo.vo.PetVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseAudit;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 预约订单服务详细信息记录表对象 oms_order_service
 *
 * @author daixiande
 */
@Data
public class OmsOrderService extends BaseAudit {
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 订单id */
    @Excel(name = "订单id")
    private Long orderId;

    /** 额外pet信息，json */
    @Excel(name = "额外pet信息，json")
    private String pet;

    /** 服务频率 */
    @Excel(name = "服务频率")
    private String serviceFrequency;

    /** 服务日期 */
    @Excel(name = "服务日期")
    private String serviceDate;

    /** 第一次服务时间 */
    @Excel(name = "第一次服务时间")
    private String serviceTimeFirst;

    /** 第二次服务时间 */
    @Excel(name = "第二次服务时间")
    private String serviceTimeSecond;

    /** 删除标识 */
    private Integer delFlag;


    @Excel(name = "宠物 ID")
    private Integer petId;

    @Excel(name = "期望服务时间")
    private String expectServiceTime;

    @Excel(name = "专业喂养次数")
    private Integer feedCount;




    /** 宠物信息 */
    @TableField(exist = false)
    private PetVO petVo;
    /** 宠物信息 */
    @TableField(exist = false)
    private Pet pets;

    @TableField(exist = false)
    private List<OrderItem> orderItems;

}
