package com.cyl.manager.oms.pojo.vo;

import com.cyl.manager.ums.domain.Pet;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("订单")
public class ManagerOrderProductVO {
    @ApiModelProperty("商品id")
    private Long productId;
    @ApiModelProperty("商品名称")
    private String productName;
    @ApiModelProperty("商品规格")
    private String spData;
    @ApiModelProperty("商品图片")
    private String pic;
    @ApiModelProperty("购买数量")
    private Integer buyNum;
    @ApiModelProperty("销售价格")
    private BigDecimal salePrice;

    @ApiModelProperty("orderServiceId")
    @Excel(name = "orderServiceId")
    private Long orderServiceId;


    /** 服务日期 */
    @ApiModelProperty("服务日期")
    private String serviceDate;
    @ApiModelProperty("宠物 ID")
    private Integer petId;
    @ApiModelProperty("期望服务时间")
    private String expectServiceTime;

    @ApiModelProperty("宠物类型")
    private String petType;
    /** 宠物名称 */
    @ApiModelProperty("宠物名称")
    private String petName;

    @ApiModelProperty("是否提前熟悉")
    @Excel(name = "是否提前熟悉", width = 30)
    private Boolean needPreFamiliarize;

    @ApiModelProperty("优惠券")
    @Excel(name = "优惠券ID")
    private Integer wechatMemberCouponId;

}
