package com.cyl.manager.staff.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cyl.h5.pojo.request.*;
import com.cyl.h5.pojo.vo.StaffServiceRecordVO;
import com.cyl.manager.staff.domain.StaffServiceRecord;

import java.util.List;

/**
 * 人员工服务记录Service接口
 *
 * @author jx
 * @date 2025-01-06
 */
public interface IStaffServiceRecordService extends IService<StaffServiceRecord> {

    /**
     * 服务记录新增或修改
     *
     * @param request
     * @return
     */
    boolean saveOrUpdateServiceRecord(StaffServiceRecordRequest request);


    /**
     * 服务记录查询接口
     *
     * @param staffId
     * @return
     */
    List<StaffServiceRecordVO> getServiceRecords(Long staffId);

    /**
     * 服务记录详情接口
     *
     * @return
     */
    StaffServiceRecordVO getServiceRecord(Long staffId);

}
