package com.cyl.manager.ums.domain;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cyl.manager.oms.domain.OmsOrderService;
import com.cyl.manager.oms.domain.OrderItem;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseAudit;
import lombok.Data;
/**
 * 宠物档案对象
 *
 * @author daixiande
 */
@Data
@TableName("ums_pet")
public class Pet extends BaseAudit {
    private static final long serialVersionUID = 1L;

    /** 宠物ID */
    private Integer id;

    /** 宠物类型 */
    @Excel(name = "宠物类型")
    private String petType;

    /** 宠物名称 */
    @Excel(name = "宠物名称")
    private String name;

    /** 宠物性别 */
    @Excel(name = "宠物性别")
    private String gender;

    /** 出生年月日 */
    @JsonFormat(pattern = "yyyy-MM")
    @Excel(name = "出生年月")
    private String birthDate;

    /** 其他备注 */
    @Excel(name = "其他备注")
    private String remark;

    /** 照片路径 */
    @Excel(name = "照片路径")
    private String photo;

    /** 品种 */
    @Excel(name = "品种")
    private String breed;

    /** 体型 */
    @Excel(name = "体型")
    private String bodyType;

    /** 性格特征 */
    @Excel(name = "性格特征")
    private String personality;

    /** 疫苗情况 */
    @Excel(name = "疫苗情况")
    private String vaccineStatus;

    /** 驱虫情况 */
    @Excel(name = "驱虫情况")
    private String dewormingStatus;

    /** 狗证情况（只针对狗狗） */
    @Excel(name = "狗证情况", readConverterExp = "只=针对狗狗")
    private String doglicenseStatus;

    /** 健康情况 */
    @Excel(name = "健康情况")
    private String healthStatus;

    /** 绝育 */
    @Excel(name = "绝育")
    private String sterilization;

    /** 宠物主人 */
    @Excel(name = "宠物主人")
    private String owner;

    /** 删除标志（0代表存在 2代表删除）*/
    private Integer delFlag = 0;

    @TableField(exist = false)
    private List<OmsOrderService> services;

    @TableField(exist = false)
    private List<OrderItem> orderItemList;
}
