package com.cyl.manager.ums.domain;

import java.math.BigDecimal;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;
/**
 * 宠物服务档案对象 ums_pet_care
 * 
 * @author daixiande
 */
@Data
public class PetCare {
    private static final long serialVersionUID = 1L;

    /** 主键，自增长的ID */
    private Integer id;

    /** 所属宠物ID */
    @Excel(name = "所属宠物ID")
    private Integer petId;

    /** 是否包含干粮 */
    @Excel(name = "是否包含干粮")
    private Boolean includeDryFood;

    /** 干粮摆放位置-图片 */
    @Excel(name = "干粮摆放位置-图片")
    private String dryFoodLocation;

    /** 干粮喂养重量 */
    @Excel(name = "干粮喂养重量")
    private String dryFoodFeedWeight;

    /** 干粮喂养批次_天 */
    @Excel(name = "干粮喂养批次_天")
    private Integer dryFoodFeedFrequencyDays;

    /** 干粮喂养批次_次 */
    @Excel(name = "干粮喂养批次_次")
    private Integer dryFoodFeedFrequencyTimes;

    /** 干粮备注 */
    @Excel(name = "干粮备注")
    private String dryFoodRemarks;

    /** 是否包含湿粮 */
    @Excel(name = "是否包含湿粮")
    private Boolean includeWetFood;

    /** 湿粮摆放位置-图片 */
    @Excel(name = "湿粮摆放位置-图片")
    private String wetFoodLocation;

    /** 湿粮喂养重量 */
    @Excel(name = "湿粮喂养重量")
    private BigDecimal wetFoodFeedWeight;

    /** 湿粮喂养批次_天 */
    @Excel(name = "湿粮喂养批次_天")
    private Integer wetFoodFeedFrequencyDays;

    /** 湿粮喂养批次_次 */
    @Excel(name = "湿粮喂养批次_次")
    private Integer wetFoodFeedFrequencyTimes;

    /** 湿粮备注 */
    @Excel(name = "湿粮备注")
    private String wetFoodRemarks;

    /** 是否包含自制食品 */
    @Excel(name = "是否包含自制食品")
    private Boolean includeHomemadeFood;

    /** 自制食品摆放位置-图片 */
    @Excel(name = "自制食品摆放位置-图片")
    private String homemadeFoodLocation;

    /** 自制饭制作和喂食说明（备注） */
    @Excel(name = "自制饭制作和喂食说明", readConverterExp = "备=注")
    private String homemadeFoodInstructions;

    /** 是否包含生骨肉 */
    @Excel(name = "是否包含生骨肉")
    private Boolean includeRawMeat;

    /** 生骨肉摆放位置-图片 */
    @Excel(name = "生骨肉摆放位置-图片")
    private String rawMeatLocation;

    /** 生骨肉喂食说明（备注） */
    @Excel(name = "生骨肉喂食说明", readConverterExp = "备=注")
    private String rawMeatFeedingInstructions;

    /** 是否包含保健品 */
    @Excel(name = "是否包含保健品")
    private Boolean includeHealthSupplements;

    /** 保健品摆放位置-图片 */
    @Excel(name = "保健品摆放位置-图片")
    private String healthSupplementsLocation;

    /** 保健品喂食说明（备注） */
    @Excel(name = "保健品喂食说明", readConverterExp = "备=注")
    private String healthSupplementsFeedingInstructions;

    /** 是否包含零食 */
    @Excel(name = "是否包含零食")
    private Boolean includeSnacks;

    /** 零食摆放位置-图片 */
    @Excel(name = "零食摆放位置-图片")
    private String snacksLocation;

    /** 零食喂养方式（备注） */
    @Excel(name = "零食喂养方式", readConverterExp = "备=注")
    private String snacksFeedingMethod;

    /** 零食备注 */
    @Excel(name = "其它备注")
    private String otherRemark;

    /** 食盆/自动喂食器摆放位置-图片 */
    @Excel(name = "食盆/自动喂食器摆放位置-图片")
    private String feedingTrayAutomaticFeederLocation;

    /** 食盆/自动喂食器备注 */
    @Excel(name = "食盆/自动喂食器备注")
    private String feedingTrayAutomaticFeederRemarks;

    /** 水碗、饮用水摆放位置-图片 */
    @Excel(name = "水碗、饮用水摆放位置-图片")
    private String waterBowlLocation;

    /** 水碗、饮用水备注 */
    @Excel(name = "水碗、饮用水备注")
    private String waterBowlRemarks;

    /** 是否有清洁要求 */
    @Excel(name = "是否有清洁要求")
    private Boolean cleaningRequirements;


    /** 是否更换猫砂 */
    @Excel(name = "厕所、猫砂摆放位置-图片")
    private Boolean changeLitterBox;

    /** 厕所、猫砂摆放位置-图片 */
    @Excel(name = "厕所、猫砂摆放位置-图片")
    private String litterBoxLocation;

    /** 猫砂更换频次_天 */
    @Excel(name = "猫砂更换频次_天")
    private Integer litterBoxChangeFrequencyDays;

    /** 猫砂更换频次_次 */
    @Excel(name = "猫砂更换频次_次")
    private Integer litterBoxChangeFrequencyTimes;

    /** 厕所、猫砂备注 */
    @Excel(name = "厕所、猫砂备注")
    private String litterBoxRemarks;

    /** 尿垫摆放位置-图片 */
    @Excel(name = "尿垫摆放位置-图片")
    private String peePadLocation;

    /** 是否更换尿垫 */
    @Excel(name = "是否更换尿垫")
    private Boolean changePeePad;

    /** 尿垫砂更换频次_天 */
    @Excel(name = "尿垫更换频次_天")
    private Integer peePadFrequencyDays;

    /** 尿垫更换频次_次 */
    @Excel(name = "尿垫更换频次_次")
    private Integer peePadFrequencyTimes;


    /** 尿垫备注 */
    @Excel(name = "尿垫备注")
    private String peePadRemarks;

    /** 是否选择附加服务 */
    @Excel(name = "是否选择附加服务")
    private Boolean additionalService;

    /** 是否陪玩*/
    @Excel(name = "是否陪玩")
    private Boolean playtimeService;

    /** 陪玩用具摆放位置-图片 */
    @Excel(name = "陪玩用具摆放位置-图片")
    private String playtimeToolsLocation;

    /** 希望的互动方式和要求（备注） */
    @Excel(name = "希望的互动方式和要求", readConverterExp = "备=注")
    private String playtimeRequirements;

    /** 是否选择活动区吸毛 */
    @Excel(name = "是否选择活动区吸毛")
    private Boolean furCleaningService;

    /** 吸毛用品摆放位置-图片 */
    @Excel(name = "吸毛用品摆放位置-图片")
    private String furCleaningToolsLocation;

    /** 请说明吸毛区和要求（备注） */
    @Excel(name = "请说明吸毛区和要求", readConverterExp = "备=注")
    private String furCleaningRequirements;

    /** 是否选择毛发梳理 */
    @Excel(name = "是否选择毛发梳理")
    private Boolean groomingService;

    /** 毛发梳理用品摆放位置-图片 */
    @Excel(name = "毛发梳理用品摆放位置-图片")
    private String groomingToolsLocation;

    /** 请说明毛发梳理要求（备注） */
    @Excel(name = "请说明毛发梳理要求", readConverterExp = "备=注")
    private String groomingRequirements;

    /** 是否选择食具深度清洁 */
    @Excel(name = "是否选择食具深度清洁")
    private Boolean deepCleaningService;

    /** 食具深度清洁用品摆放位置-图片 */
    @Excel(name = "食具深度清洁用品摆放位置-图片")
    private String deepCleaningToolsLocation;

    /** 食具深度清洁备注 */
    @Excel(name = "食具深度清洁备注")
    private String deepCleaningRemarks;

    /** 是否选择喂药上药 */
    @Excel(name = "是否选择喂药上药")
    private Boolean administerMedication;

    /** 药品摆放位置-图片 */
    @Excel(name = "药品摆放位置-图片")
    private String administerMedicationLocation;

    /** 喂药上药备注 */
    @Excel(name = "喂药上药备注")
    private String administerMedicationRemarks;

    /** 附加服务用品摆放位置-图片 */
    @Excel(name = "附加服务用品摆放位置-图片")
    private String additionalServicesPlacement;

    /** 服务用品摆放备注 */
    @Excel(name = "服务用品摆放备注")
    private String additionalServicesPlacementRemark;

    /** 服务用品摆放备注 */
    @Excel(name = "附加服务备注")
    private String additionalServicesRemarks;

    @Excel(name = "遛狗时长")
    private Boolean isWalkDogDuration;

    @Excel(name = "狗狗行为")
    private Boolean  isDogBehavior;

    @Excel(name = "偏好区域")
    private Boolean isFavoriteRegion;

    @Excel(name = "偏好路线")
    private Boolean isFavoriteRoute;

    @Excel(name = "狗狗雨具位置")
    private String dogRainGearLocation;

    @Excel(name = "下雨天遛狗要求")
    private String walkDogRainRemark;

    /** 是否遛狗服务 */
    @Excel(name = "是否遛狗服务")
    private Boolean walkDog;

    /** 遛狗用品摆放位置 */
    @Excel(name = "遛狗用品摆放位置")
    private String walkDogToolsLocation;

    /** 是否雨天遛狗 */
    @Excel(name = "是否雨天遛狗")
    private Boolean walkDogRainyDay;

    /** 遛狗时长 */
    @Excel(name = "遛狗时长")
    private String walkDogDuration;

    /** 狗狗行为 */
    @Excel(name = "狗狗行为")
    private String dogBehavior;

    /** 偏好区域 */
    @Excel(name = "偏好区域")
    private String favoriteRegion;

    /** 偏好路线 */
    @Excel(name = "偏好路线")
    private String favoriteRoute;
}
